cascading.platform.local

## Class LocalPlatform

- java.lang.Object
- - cascading.platform.TestPlatform
  - - cascading.platform.local.LocalPlatform

-     public class LocalPlatform
      extends cascading.platform.TestPlatform

  Class LocalPlatform is automatically loaded and injected into a `PlatformTestCase` instance so that all *PlatformTest classes can be tested against the Cascading local mode planner.

- - ### Field Summary

    - ### Fields inherited from class cascading.platform.TestPlatform

      `CLUSTER_TESTING_PROPERTY, numGatherPartitions, numMappers, numReducers, PLATFORM_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalPlatform()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromLocal(java.lang.String inputFile)`
    `void` | `copyToLocal(java.lang.String outputFile)`
    `Tap` | `getDelimitedFile(Fields fields, boolean skipHeader, boolean writeHeader, java.lang.String delimiter, java.lang.String quote, java.lang.Class[] types, java.lang.String filename, SinkMode mode)`
    `Tap` | `getDelimitedFile(Fields fields, boolean hasHeader, java.lang.String delimiter, java.lang.String quote, java.lang.Class[] types, java.lang.String filename, SinkMode mode)`
    `Tap` | `getDelimitedFile(java.lang.String delimiter, java.lang.String quote, FieldTypeResolver fieldTypeResolver, java.lang.String filename, SinkMode mode)`
    `FlowConnector` | `getFlowConnector(java.util.Map<java.lang.Object,java.lang.Object> properties)`
    `FlowProcess` | `getFlowProcess()`
    `java.lang.String` | `getHiddenTemporaryPath()`
    `java.util.Comparator` | `getLongComparator(boolean reverseSort)`
    `Tap` | `getPartitionTap(Tap sink, Partition partition, int openThreshold)`
    `java.util.Map<java.lang.Object,java.lang.Object>` | `getProperties()`
    `java.util.Comparator` | `getStringComparator(boolean reverseSort)`
    `Tap` | `getTap(Scheme scheme, java.lang.String filename, SinkMode mode)`
    `Scheme` | `getTestConfigDefScheme()`
    `Scheme` | `getTestFailScheme()`
    `Tap` | `getTextFile(Fields sourceFields, Fields sinkFields, java.lang.String filename, SinkMode mode)`
    `boolean` | `remoteExists(java.lang.String outputFile)`
    `boolean` | `remoteRemove(java.lang.String outputFile, boolean recursive)`
    `void` | `setUp()`
    `void` | `tearDown()`

    - ### Methods inherited from class cascading.platform.TestPlatform

      `getApplicationJar, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getFlowConnector, getGlobalProperties, getName, getNumGatherPartitions, getNumGatherPartitionTasks, getNumMappers, getNumMapTasks, getNumReducers, getNumReduceTasks, getTabDelimitedFile, getTabDelimitedFile, getTextFile, getTextFile, getTextFile, getTextFile, isDAG, isMapReduce, isUseCluster, setNumGatherPartitions, setNumGatherPartitionTasks, setNumMappers, setNumMapTasks, setNumReducers, setNumReduceTasks, setUseCluster, supportsGroupByAfterMerge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalPlatform

          public LocalPlatform()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws java.io.IOException

      Specified by:
        `setUp` in class `cascading.platform.TestPlatform`
      Throws:
        `java.io.IOException`

    - #### getProperties

          public java.util.Map<java.lang.Object,java.lang.Object> getProperties()

      Specified by:
        `getProperties` in class `cascading.platform.TestPlatform`

    - #### tearDown

          public void tearDown()

      Specified by:
        `tearDown` in class `cascading.platform.TestPlatform`

    - #### copyFromLocal

          public void copyFromLocal(java.lang.String inputFile)
                             throws java.io.IOException

      Specified by:
        `copyFromLocal` in class `cascading.platform.TestPlatform`
      Throws:
        `java.io.IOException`

    - #### copyToLocal

          public void copyToLocal(java.lang.String outputFile)
                           throws java.io.IOException

      Specified by:
        `copyToLocal` in class `cascading.platform.TestPlatform`
      Throws:
        `java.io.IOException`

    - #### remoteExists

          public boolean remoteExists(java.lang.String outputFile)
                               throws java.io.IOException

      Specified by:
        `remoteExists` in class `cascading.platform.TestPlatform`
      Throws:
        `java.io.IOException`

    - #### remoteRemove

          public boolean remoteRemove(java.lang.String outputFile,
                             boolean recursive)
                               throws java.io.IOException

      Specified by:
        `remoteRemove` in class `cascading.platform.TestPlatform`
      Throws:
        `java.io.IOException`

    - #### getFlowProcess

          public FlowProcess getFlowProcess()

      Specified by:
        `getFlowProcess` in class `cascading.platform.TestPlatform`

    - #### getFlowConnector

          public FlowConnector getFlowConnector(java.util.Map<java.lang.Object,java.lang.Object> properties)

      Specified by:
        `getFlowConnector` in class `cascading.platform.TestPlatform`

    - #### getTap

          public Tap getTap(Scheme scheme,
                   java.lang.String filename,
                   SinkMode mode)

      Specified by:
        `getTap` in class `cascading.platform.TestPlatform`

    - #### getTextFile

          public Tap getTextFile(Fields sourceFields,
                        Fields sinkFields,
                        java.lang.String filename,
                        SinkMode mode)

      Specified by:
        `getTextFile` in class `cascading.platform.TestPlatform`

    - #### getDelimitedFile

          public Tap getDelimitedFile(Fields fields,
                             boolean hasHeader,
                             java.lang.String delimiter,
                             java.lang.String quote,
                             java.lang.Class[] types,
                             java.lang.String filename,
                             SinkMode mode)

      Specified by:
        `getDelimitedFile` in class `cascading.platform.TestPlatform`

    - #### getDelimitedFile

          public Tap getDelimitedFile(Fields fields,
                             boolean skipHeader,
                             boolean writeHeader,
                             java.lang.String delimiter,
                             java.lang.String quote,
                             java.lang.Class[] types,
                             java.lang.String filename,
                             SinkMode mode)

      Specified by:
        `getDelimitedFile` in class `cascading.platform.TestPlatform`

    - #### getDelimitedFile

          public Tap getDelimitedFile(java.lang.String delimiter,
                             java.lang.String quote,
                             FieldTypeResolver fieldTypeResolver,
                             java.lang.String filename,
                             SinkMode mode)

      Specified by:
        `getDelimitedFile` in class `cascading.platform.TestPlatform`

    - #### getPartitionTap

          public Tap getPartitionTap(Tap sink,
                            Partition partition,
                            int openThreshold)

      Specified by:
        `getPartitionTap` in class `cascading.platform.TestPlatform`

    - #### getTestConfigDefScheme

          public Scheme getTestConfigDefScheme()

      Specified by:
        `getTestConfigDefScheme` in class `cascading.platform.TestPlatform`

    - #### getTestFailScheme

          public Scheme getTestFailScheme()

      Specified by:
        `getTestFailScheme` in class `cascading.platform.TestPlatform`

    - #### getLongComparator

          public java.util.Comparator getLongComparator(boolean reverseSort)

      Specified by:
        `getLongComparator` in class `cascading.platform.TestPlatform`

    - #### getStringComparator

          public java.util.Comparator getStringComparator(boolean reverseSort)

      Specified by:
        `getStringComparator` in class `cascading.platform.TestPlatform`

    - #### getHiddenTemporaryPath

          public java.lang.String getHiddenTemporaryPath()

      Specified by:
        `getHiddenTemporaryPath` in class `cascading.platform.TestPlatform`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.